Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui.cas
Class CasProcessingFilterEntryPoint

    java.lang.Object
      org.acegisecurity.ui.cas.CasProcessingFilterEntryPoint

All Implemented Interfaces:
  AuthenticationEntryPoint, InitializingBean

    public class CasProcessingFilterEntryPoint

extends Object
implements AuthenticationEntryPoint, InitializingBean

Used by the `SecurityEnforcementFilter` to commence authentication via the Yale Central Authentication Service (CAS).

The user's browser will be redirected to the Yale CAS enterprise-wide login page. This page is specified by the `loginUrl` property. Once login is complete, the CAS login page will redirect to the page indicated by the `service` property. The `service` is a HTTP URL belonging to the current application. The `service` URL is monitored by the `CasProcessingFilter`, which will validate the CAS login was successful.

Version:
  $Id: CasProcessingFilterEntryPoint.java,v 1.5 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`CasProcessingFilterEntryPoint()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `commence(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, AuthenticationException authenticationException)` Commences an authentication scheme.
`String` | `getLoginUrl()` The enterprise-wide CAS login URL.
`ServiceProperties` | `getServiceProperties()`
`void` | `setLoginUrl(String loginUrl)`
`void` | `setServiceProperties(ServiceProperties serviceProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CasProcessingFilterEntryPoint

    public CasProcessingFilterEntryPoint()

Method Detail

### setLoginUrl

    public void setLoginUrl(String loginUrl)

### getLoginUrl

    public String getLoginUrl()

  The enterprise-wide CAS login URL. Usually something like `https://www.mycompany.com/cas/login`.

  Returns:
    the enterprise-wide CAS login URL

### setServiceProperties

    public void setServiceProperties(ServiceProperties serviceProperties)

### getServiceProperties

    public ServiceProperties getServiceProperties()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### commence

    public void commence(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         AuthenticationException authenticationException)
                  throws IOException,
                         javax.servlet.ServletException

  Description copied from interface: `AuthenticationEntryPoint`
  Commences an authentication scheme.

  `SecurityEnforcementFilter` will populate the `HttpSession` attribute named `AuthenticationProcessingFilter.ACEGI_SECURITY_TARGET_URL_KEY` with the requested target URL before calling this method.

  Implementations should modify the headers on the `ServletResponse` as necessary to commence the authentication process.

  Specified by:
    `commence` in interface `AuthenticationEntryPoint`
  Parameters:
    `request` - that resulted in an `AuthenticationException`
    `response` - so that the user agent can begin authentication
    `authenticationException` - that caused the invocation
  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.